package main

import (
	"github.com/beego/beego/v2/core/logs"
	"github.com/beego/beego/v2/server/web"
	"github.com/beego/beego/v2/server/web/context"
)

type CityController struct {
	web.Controller
}

func (c *CityController) Init(ctx *context.Context, controllerName, actionName string, app interface{}) {
	c.Controller.Init(ctx, controllerName, actionName, app)
	logs.Info("run Init func, controllerName: %s, actionName: %s", controllerName, actionName)
}

func (c *CityController) Prepare() {
	logs.Info("run Prepare func")
}

func (c *CityController) Get() {
	logs.Info("Get method")
	c.Ctx.WriteString(c.Ctx.Request.Method)
}

func (c *CityController) Render() error {
	logs.Info("run Render func")
	return c.Controller.Render()
}

func (c *CityController) Finish() {
	logs.Info("run Finish func")
}

func main() {
	web.Router("/city/", &CityController{})

	web.Run()
}
